/**
 * Project: MentDB
 * Description: Mentalese Database Engine
 * Website: http://www.mentdb.org
 * Twitter: https://twitter.com/mentalese_db
 * LinkedIn: https://www.linkedin.com/company/mentdb
 * Facebook: https://www.facebook.com/mentdb
 * Author: Jimmitry Payet
 * Website: http://www.jpayet.re
 * Mail: contact@jpayet.re
 * Locality: Reunion Island (French)
 */

package re.jpayet.mentdb.core.entity.reader_type;

import java.io.IOException;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;

import re.jpayet.mentdb.core.entity.concentration.ConcentrationManager;
import re.jpayet.mentdb.core.entity.link.LinkManager;
import re.jpayet.mentdb.core.entity.relation.RelationManager;
import re.jpayet.mentdb.tools.Misc;

public class ReaderTypeManager {
	
	public static JSONArray array = new JSONArray();
	
	//Load all reader types
	@SuppressWarnings("unchecked")
	public static void reload(String cuser) throws Exception {
		
		//Initialization
		array = new JSONArray();
		
		JSONArray data_types = RelationManager.showTabLinks(cuser, "["+LinkManager.get_value("@[r_fr_?_est_une_technique_de_lecture]")+" 2/3]", "L", ConcentrationManager.getConcentrationDepth("C[relation]"));
		
		//Parse all data type relation tab links
		for(int i=0;i<data_types.size();i++) {
			
			//Get the current tab link
			String currentTabLink = data_types.get(i)+"";
			
			String relationId = Misc.atom(currentTabLink, 1, " ").substring(1);
			
			//Get the condition
			String action = RelationManager.getDa(cuser, relationId, "da");
			
			JSONObject obj = new JSONObject();
			obj.put("relation_id", Misc.atom(Misc.atom(relationId, 2, "\\["), 1, "\\]"));
			obj.put("action", action);
			array.add(obj);
			
		}
		
	}
	
	public static JSONArray show() throws IOException {
		
		return array;
		
	}
	

}
